
package org.enis.gi3.mdb.bean;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;
import org.jboss.ejb3.annotation.Depends;
import javax.ejb.MessageDrivenContext;

@MessageDriven(activationConfig =
        {
        @ActivationConfigProperty(propertyName="destinationType", propertyValue="javax.jms.Queue"),
        @ActivationConfigProperty(propertyName="destination", propertyValue="queue/exemple")//JNDI name
        })
@Depends ("jboss.mq.destination:service=Queue,name=exempleMDB")


	
public class DefaultMDB implements MessageListener
{
	

   public void onMessage(Message recvMsg)
   {
   	String msg="";
   	try{
   	msg=((javax.jms.TextMessage)recvMsg).getText();
   }catch (javax.jms.JMSException e) {System.out.println("Erreur de reception");}
  
   	
      System.out.println("----------------");
      System.out.println("Le message recu est : " + msg);
      System.out.println("----------------");
   }

}
